Address Airdrops Value
Returns the total fiat value of unclaimed airdrops for a given address on a supported network. To reveal the full details, you should redirect users to the corresponding address page on Drops.
Endpoints
Get Address Airdrops
GET /shared/v1/value/airdrops/:network/:address
Headers
x-api-key
string
✅
Your API key for authentication
Path Parameters
network
string
✅
Network to query
address
string
✅
The wallet address to check (must be a valid address with the network param)
Example Requests
cURL - Ethereum Address
curl -X GET "https://api.drops.bot/shared/v1/value/airdrops/evm/0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045" \
-H "x-api-key: YOUR_API_KEY"The following networks are supported for address airdrop queries:
evm
All EVM and L2 chains
solana
Solana
move
Sui, Aptos, and all other Move Networks
cosmos
Cosmos and all subnets (address must start with `cosmos1`)
bitcoin
Bitcoin
starknet
Starknet
Response
200 - Successful Response
AddressAirdropValueData
airdropsCount
number
Number of eligible airdrops for the given address
totalValueUsd
number
Total fiat value of unclaimed airdrops (in USD)
totalValueUsdFormatted
string
Human-readable formatted string of the total value (e.g. "$123.45")
isUnknownUsdValue
boolean
True if the total value cannot be calculated (e.g. missing token prices)
addressUrl
string
URL to the Drops address page with details for the given address
Example Success Response
Example Response (unknown USD value of the airdrops)
Sometimes the value of the airdrops can’t be determined. For example, before TGE or if the total allocation is unknown.
Last updated